org.keycloak.adapters

## Class ServerRequest

- java.lang.Object
- - org.keycloak.adapters.ServerRequest

-     public class ServerRequest
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ServerRequest.HttpFailure`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerRequest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `error(int status, org.apache.http.HttpEntity entity)`
    `static AccessTokenResponse` | `invokeAccessCodeToToken(org.apache.http.client.HttpClient client, boolean publicClient, String code, String codeUrl, String redirectUri, String client_id, Map<String,String> credentials)`
    `static AccessTokenResponse` | `invokeAccessCodeToToken(KeycloakDeployment deployment, String code, String redirectUri)`
    `static void` | `invokeLogout(KeycloakDeployment deployment, String refreshToken)`
    `static AccessTokenResponse` | `invokeRefresh(org.apache.http.client.HttpClient client, boolean publicClient, String refreshToken, String refreshUrl, String client_id, Map<String,String> credentials)`
    `static AccessTokenResponse` | `invokeRefresh(KeycloakDeployment deployment, String refreshToken)`
    `protected static String` | `stripOauthParametersFromRedirect(String uri)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerRequest

          public ServerRequest()

  - ### Method Detail

    - #### invokeLogout

          public static void invokeLogout(KeycloakDeployment deployment,
                          String refreshToken)
                                   throws IOException,
                                          ServerRequest.HttpFailure

      Throws:
        `IOException`
        `ServerRequest.HttpFailure`

    - #### invokeAccessCodeToToken

          public static AccessTokenResponse invokeAccessCodeToToken(KeycloakDeployment deployment,
                                                    String code,
                                                    String redirectUri)
                                                             throws ServerRequest.HttpFailure,
                                                                    IOException

      Throws:
        `ServerRequest.HttpFailure`
        `IOException`

    - #### invokeAccessCodeToToken

          public static AccessTokenResponse invokeAccessCodeToToken(org.apache.http.client.HttpClient client,
                                                    boolean publicClient,
                                                    String code,
                                                    String codeUrl,
                                                    String redirectUri,
                                                    String client_id,
                                                    Map<String,String> credentials)
                                                             throws IOException,
                                                                    ServerRequest.HttpFailure

      Throws:
        `IOException`
        `ServerRequest.HttpFailure`

    - #### invokeRefresh

          public static AccessTokenResponse invokeRefresh(KeycloakDeployment deployment,
                                          String refreshToken)
                                                   throws IOException,
                                                          ServerRequest.HttpFailure

      Throws:
        `IOException`
        `ServerRequest.HttpFailure`

    - #### invokeRefresh

          public static AccessTokenResponse invokeRefresh(org.apache.http.client.HttpClient client,
                                          boolean publicClient,
                                          String refreshToken,
                                          String refreshUrl,
                                          String client_id,
                                          Map<String,String> credentials)
                                                   throws IOException,
                                                          ServerRequest.HttpFailure

      Throws:
        `IOException`
        `ServerRequest.HttpFailure`

    - #### error

          public static void error(int status,
                   org.apache.http.HttpEntity entity)
                            throws ServerRequest.HttpFailure,
                                   IOException

      Throws:
        `ServerRequest.HttpFailure`
        `IOException`

    - #### stripOauthParametersFromRedirect

          protected static String stripOauthParametersFromRedirect(String uri)

Copyright © 2014. All Rights Reserved.